@font-face {
  font-family: 'CFAstyStdMed';
  src: url('../assets/fonts/CFAstyStd-Medium.eot'); /* IE9 Compat Modes */
  src: url('../assets/fonts/CFAstyStd-Medium.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/CFAstyStd-Medium.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/CFAstyStd-Medium.ttf') format('truetype'); /* Safari, Android, iOS */
           font-style: normal;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}

@font-face {
  font-family: 'CFAstyStdLight';
  src: url('../assets/fonts/CFAstyStd-Light.eot'); /* IE9 Compat Modes */
  src: url('../assets/fonts/CFAstyStd-Light.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/CFAstyStd-Light.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/CFAstyStd-Light.ttf') format('truetype'); /* Safari, Android, iOS */
           font-style: normal;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}

@font-face {
  font-family: 'CFAstyStdBook';
  src: url('../assets/fonts/CFAstyStd-Book.eot'); /* IE9 Compat Modes */
  src: url('../assets/fonts/CFAstyStd-Book.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/CFAstyStd-Book.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/CFAstyStd-Book.ttf') format('truetype'); /* Safari, Android, iOS */
           font-style: normal;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}

/* Container setup */
.radio-boolean {
  display: flex;
  flex-direction: row;
}

.radio-boolean .my-checkbox-item {
  background:none;
  margin-left:0;
  padding-left:0;
}

.radio-boolean .form-check-input {
  display: none; /* Hide the radio buttons */
}

.radio-boolean .form-check {
  padding-left:1px;
}

.radio-boolean .form-check-label {
  cursor: pointer;
  padding: 10px 20px;
  color: #007bff;
  background-color: #FFF;
  transition: all 0.3s ease;
  font-weight: bold;
  border: 1px solid #007bff;
  text-align: center;
  border-radius: 20px;
}

/* Make labels appear side-by-side */
.radio-boolean label[for="radio-yes"] {
  border-radius: 20px 0 0 20px;
  margin-right: -1px; /* Prevent double border */
}

.radio-boolean label[for="radio-no"] {
  border-radius: 0 20px 20px 0;
}

/* Checked state styling */
.radio-boolean input[type="radio"]:checked + label.form-check-label {
  background-color: #007bff;
  color: #FFF;
}


.my-card-outer {
  width: 60%;
  max-width:1000px;
}

.my-hidden {
  display:none !important;
}

.save-survey {
  background: green !important;
}

#nextBtn {
  background: #205AA7;
  border-style: solid;
  border-width: 0px 0px 0px 0px;
  border-radius: 99px 99px 99px 99px;
  padding: 10px 15px 10px 15px;
  color: #ffffff;
  box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.1);
}

@media screen and (max-width: 1000px) {
  .my-card-outer {
    width: 80%;
  }
}

@media screen and (max-width: 750px) {
  .my-card-outer {
    width: 100%;
  }
}

.card {
  font-family: 'CFAstyStdBook', sans-serif;
}

.card #fill-form h2, .card h3, .card h4, .card h5, .card h6 {
  font-family: 'CFAstyStdBook', sans-serif;
  font-weight: normal;
}

.my_radio_horizontal input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    background: #7A8CEA;
    font-size: 24px;
    box-shadow: 0 0 0 1px #7A8CEA;
}

.form-card-body h1, .form-card-body h2, .form-card-body h3, .form-card-body h3, .form-card-body h5 {
  font-size:18px;
}
body .card .card-header h1, body .card .card-header h2, body .card .card-header h3, body .card .card-header h4, body .card .card-header h5 {
  color:#205AA7 !important;
}

body.theme-2 .card .card-header h5::after {
  background:none;
}
body.theme-2 .card .card-header {
    background-color: transparent;
    color: #000;
    text-align: left;
}

.my-header {
    height:100px;
    background-color: #FFF;
    color: #205AA7;
    padding:20px;
}

.my-header .header-logo {
    height:100%;
    width:auto;
}
.form-group.my_radio_horizontal label {
    margin-left: -31px;
    margin-top: 7px;
    color: #FFF;
}

.star-cb-group {
    font-size: 0;
    unicode-bidi: bidi-override;
    direction: rtl;
}
  
.star-cb-group * {
  font-size: 3rem;
}

.star-cb-group > input {
  display: none;
}

.star-cb-group > input + label {
  display: inline-block;
  width: 1.2em;
  height: 1.2em;
  border: 1px solid #888; /* Gray border */
  border-radius: 50%; /* Circle shape */
  line-height: 1.2em;
  text-align: center;
  color: #888; /* Gray text by default */
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s, border-color 0.3s;
  font-size: 1.65rem;
  margin:5px;
}

.star-cb-group > input + label:before {
  display: none; /* Removed pseudo-element approach */
}

.star-cb-group > input:checked ~ label, 
.star-cb-group > input + label:hover ~ label, 
.star-cb-group > input + label:hover {
  background-color: #3498db; /* Blue when selected or hovered */
  border-color: #3498db;
  color: white !important; /* White text */
}

.star-cb-group:hover > input + label:before {
  content: none; /* Ensure pseudo content doesn't conflict */
}

.star-cb-group:hover > input + label:hover:before {
  content: none; /* Ensure pseudo content doesn't conflict */
}

.star-cb-group > .star-cb-clear + label {
  display: none; /* Hide clear option */
}

.star-cb-group .required-star-rating {
  font-size: var(--bs-body-font-size);
  direction: ltr;
}

.my-checkbox-item {
  padding: 7px;
  background:rgba(182, 214, 235, 0.4);
  /* background: #b6d6eb; 
  border:1px solid #3498db;*/
  margin: 5px;
}

.my-radio-item {
  padding: 7px;
  /* background: #b6d6eb; 
  border:1px solid #3498db;*/
  margin: 5px;
}

.rating-indication {
  margin-bottom: 30px;
  margin-top: 0px;
  font-size: 17px;
}

.pull-left {
  float: left;
}

.pull-right {
  float: right;
}

.my-faces {
  font-size:20px;
}
@media screen and (max-width: 650px) {
  .star-cb-group.stars-num-10 > input + label {
    display: inline-block;
    width: 1.7em;
    height: 1.7em;
    border: 1px solid #888; /* Gray border */
    border-radius: 50%; /* Circle shape */
    line-height: 1.7em;
    text-align: center;
    color: #888; /* Gray text by default */
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    font-size: 1rem;
    margin:5px;
    text-wrap: nowrap;
  }

  .star-cb-group.stars-num-5 > input + label {
    display: inline-block;
    width: 2.5em;
    height: 2.5em;
    border: 1px solid #888; /* Gray border */
    border-radius: 50%; /* Circle shape */
    line-height: 2.5em;
    text-align: center;
    color: #888; /* Gray text by default */
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    font-size: 1rem;
    margin:5px;
    text-wrap: nowrap;
  }

  .my-card-outer h2 {
    font-size: 14px;
  }
  
}

@media screen and (max-width: 550px) {
  .star-cb-group.stars-num-10 > input + label {
    display: inline-block;
    width: 1.3em;
    height: 1.3em;
    border: 1px solid #888; /* Gray border */
    border-radius: 50%; /* Circle shape */
    line-height: 1.3em;
    text-align: center;
    color: #888; /* Gray text by default */
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    font-size: 1rem;
    margin:5px;
    text-wrap: nowrap;
  }

}
@media screen and (max-width: 450px) {
  .star-cb-group.stars-num-10 > input + label {
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    border: 1px solid #888; /* Gray border */
    border-radius: 50%; /* Circle shape */
    line-height: 1.5em;
    text-align: center;
    color: #888; /* Gray text by default */
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    font-size: 0.85rem;
    margin: 3px;
    text-wrap: nowrap;
    letter-spacing: -2px;
    text-indent: 2px;
  }

  .star-cb-group.stars-num-5 > input + label {
    display: inline-block;
    width: 2.2em;
    height: 2.2em;
    border: 1px solid #888; /* Gray border */
    border-radius: 50%; /* Circle shape */
    line-height: 2.2em;
    text-align: center;
    color: #888; /* Gray text by default */
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    font-size: 1rem;
    margin: 3px;
    text-wrap: nowrap;
    letter-spacing: -2px;
    text-indent: 2px;
  }
  
}